export const formatNumeric = (value, decimals = 2) => {
    if (value === undefined) {
        return '––';
    }
    if (Number.isNaN(value)) {
        return 'NaN';
    }
    if (value === Number.POSITIVE_INFINITY) {
        return '+∞';
    }
    if (value === Number.NEGATIVE_INFINITY) {
        return '-∞';
    }
    return value.toFixed(decimals);
};
